Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Identity Hub
  • Access management
  • Pricing policy
  • Terraform reference
    • Authentication
      • Overview
        • Overview
          • Overview
            • Overview
            • Get
            • List
            • Create
            • Update
            • Delete
  • Audit Trails events
  • Release notes
  • Yandex Identity Hub Sync Agent release notes

In this article:

  • HTTP request
  • Query parameters
  • Response
  • SignatureCertificate
  1. API reference
  2. REST
  3. Identity Provider API
  4. SAML Application API
  5. SignatureCertificate
  6. List

SAML Application API, REST: SignatureCertificate.List

Written by
Yandex Cloud
Updated at December 15, 2025
View in Markdown
  • HTTP request
  • Query parameters
  • Response
  • SignatureCertificate

Retrieves the list of signature certificates for the specified SAML application.

HTTP requestHTTP request

GET https://organization-manager.api.cloud.yandex.net/organization-manager/v1/idp/application/saml/signature-certificates

Query parametersQuery parameters

Request to list signature certificates for a SAML application.

Field

Description

applicationId

string

Required field. ID of the SAML application to list certificates for.

The maximum string length in characters is 50.

pageSize

string (int64)

The maximum number of results per page to return.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token for pagination.

The maximum string length in characters is 2000.

filter

string

A filter expression that filters resources listed in the response.

The maximum string length in characters is 1000.

ResponseResponse

HTTP Code: 200 - OK

{
  "signatureCertificates": [
    {
      "id": "string",
      "applicationId": "string",
      "status": "string",
      "name": "string",
      "description": "string",
      "createdAt": "string",
      "data": "string",
      "fingerprint": "string",
      "notAfter": "string",
      "notBefore": "string"
    }
  ],
  "nextPageToken": "string"
}

Response message for SignatureCertificateService.List.

Field

Description

signatureCertificates[]

SignatureCertificate

List of signature certificates.

nextPageToken

string

Token for getting the next page of the list.

SignatureCertificateSignatureCertificate

A signature certificate for SAML applications.

Field

Description

id

string

Unique identifier of the signature certificate.

applicationId

string

ID of the SAML application that the signature certificate belongs to.

status

enum (Status)

Current status of the signature certificate.

  • ACTIVE: The certificate is active and can be used for signing.
  • INACTIVE: The certificate is inactive and cannot be used for signing.

name

string

Name of the signature certificate.

description

string

Description of the signature certificate.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

data

string

Certificate data in PEM format.

fingerprint

string

SHA256-fingerprint of the signature certificate.

notAfter

string (date-time)

Time after which the signature certificate is not valid.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

notBefore

string (date-time)

Time before which the signature certificate is not valid.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.